import request from '@/utils/request'

// 查询村庄概况列表
export function listVillageProfile(query) {
  return request({
    url: '/web/village/profile/list',
    method: 'get',
    params: query
  })
}

// 查询村庄概况详细
export function getVillageProfile(id) {
  return request({
    url: `/web/village/profile/${id}`,
    method: 'get'
  })
}

// 新增村庄概况
export function addVillageProfile(data) {
  return request({
    url: '/web/village/profile',
    method: 'post',
    data: data
  })
}

// 修改村庄概况
export function updateVillageProfile(data) {
  return request({
    url: '/web/village/profile',
    method: 'put',
    data: data
  })
}

// 删除村庄概况
export function delVillageProfile(ids) {
  return request({
    url: `/web/village/profile/${ids}`,
    method: 'delete'
  })
} 